SRX

Expand all | Collapse all

SRX550HM upgrade from 15.1X49-D230 to 19.4R3-S1

  • 1.  SRX550HM upgrade from 15.1X49-D230 to 19.4R3-S1

    Posted 24 days ago
    Hi, 
    I found in below documentation that directly upgrade from 15.1X49-D230 to 19.4R3-S1 is supported so I just tried do this in lab and I have following warnings/errors:
    Junos Software Versions - Suggested Releases to Consider and Evaluate - Juniper Networks

    root> request system software add /var/tmp/junos-srxsme-19.4R3-S1.3.tgz no-copy unlink
    NOTICE: Validating configuration against junos-srxsme-19.4R3-S1.3.tgz.
    NOTICE: Use the 'no-validate' option to skip this if desired.
    Formatting alternate root (/dev/ad0s1a)...
    /dev/ad0s1a: 1022.3MB (2093580 sectors) block size 16384, fragment size 2048
    using 6 cylinder groups of 183.62MB, 11752 blks, 23552 inodes.
    super-block backups (for fsck -b #) at:
    32, 376096, 752160, 1128224, 1504288, 1880352
    Checking compatibility with configuration
    Initializing...
    Verified manifest signed by PackageProductionECP256_2020 method ECDSA256+SHA256
    Using junos-19.4R3-S1.3 from /altroot/cf/packages/install-tmp/junos-19.4R3-S1.3
    Copying package ...
    Verified manifest signed by PackageProductionECP256_2020 method ECDSA256+SHA256
    Hardware Database regeneration succeeded
    Validating against /config/juniper.conf.gz
    mgd: warning: Memory allocation failed for ddl nodes
    mgd: error: Failed to import DDL nodes
    Segmentation fault (core dumped)
    Validation failed
    Validating against /config/rescue.conf.gz
    mgd: commit complete
    Validation succeeded
    ERROR: Configuration validation failed with /altroot/cf/packages/install-tmp/junos-19.4R3-S1.3


    Then I've tiried to do upgrade with no-validate option and it looks like upgrade has been performed with success but I'm not sure is it a correct way to do upgrade in this case?
    Can I ignore this output?:
    mgd: warning: Memory allocation failed for ddl nodes
    mgd: error: Failed to import DDL nodes

    Could you advise something please?


  • 2.  RE: SRX550HM upgrade from 15.1X49-D230 to 19.4R3-S1

     
    Posted 24 days ago

    Hello,

    this looks a bit like a software issue:
    Segmentation fault (core dumped)

    Please try the following steps to resolve this:
    1. request system storage cleanup
    2. request system configuration rescue save
    3. reboot device
    3.  Try to upgrade at 15.1X49-D240 at first

    By the way, do not use "unlink" with the installation command. This can cause problems on some platforms.

    ------------------------------
    ------------------------------
    If my answer provides the solution, please mark my post as "Best Answer".
    If you think my answer helps, please "Recommend" my post.
    ------------------------------



  • 3.  RE: SRX550HM upgrade from 15.1X49-D230 to 19.4R3-S1

    Posted 24 days ago
    I just upgraded from 15.1X49-D230 to 15.1X49-D240  without any issues.

    But unfortunately I have the same issue when I tried:
    upgrade from 15.1X49-D240 to 19.4R3-S1.3
    and 
    upgrade from 15.1X49-D230 to 18.4R3-S4.2

    still the same warning/error:
    mgd: warning: Memory allocation failed for ddl nodes
    mgd: error: Failed to import DDL nodes

    I would be glad for any suggestions



  • 4.  RE: SRX550HM upgrade from 15.1X49-D230 to 19.4R3-S1

     
    Posted 24 days ago

    Have you tried to jump to the direct next major release, which would be 17.3R2-S4? If this does not work as well, a recovery installation is the only way to get a clean system. With this you can install 19.4 release directly from USB:

    https://kb.juniper.net/InfoCenter/index?page=content&id=KB33005



    ------------------------------
    ------------------------------
    If my answer provides the solution, please mark my post as "Best Answer".
    If you think my answer helps, please "Recommend" my post.
    ------------------------------



  • 5.  RE: SRX550HM upgrade from 15.1X49-D230 to 19.4R3-S1

    Posted 23 days ago
    Just a note regarding the suggested jump: Junos 17.x and 18.1 did not have all features from 15.1x49, which could provide issues with configuration not being applied etc. -  so you should not use other than Junos 18.2 or above when migrating from 15.1x49.

    ------------------------------
    --
    Jonas Hauge Klingenberg - Juniper Ambassador
    ------------------------------



  • 6.  RE: SRX550HM upgrade from 15.1X49-D230 to 19.4R3-S1

     
    Posted 24 days ago
    Hi,

    this is not about running out of disk space (so no cleanup or USB install called for) but  "simply" about running out of RAM. Seems it's seen with SRX550 on this upgrade path sometimes as the new JUNOS (which in part needs to be loaded into RAM to validate the config) just doesn't fit . If you don't  see any other issues then there is nothing to worry about. I'll try to find out more and let you know.

    Regards

    Ulf